#
# spec file for package python-osc-lib
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-osc-lib
Version:        1.9.0
Release:        lp152.4.5
Summary:        OpenStackClient Library
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            http://docs.openstack.org/developer/osc-lib
Source0:        https://files.pythonhosted.org/packages/source/o/osc-lib/osc-lib-1.9.0.tar.gz
BuildRequires:  openstack-macros
BuildRequires:  python-devel
BuildRequires:  python2-Babel >= 2.3.4
BuildRequires:  python2-cliff >= 2.8.0
BuildRequires:  python2-fixtures >= 3.0.0
BuildRequires:  python2-keystoneauth1 >= 3.3.0
BuildRequires:  python2-mock >= 2.0.0
BuildRequires:  python2-openstacksdk >= 0.9.19
BuildRequires:  python2-os-client-config >= 1.28.0
BuildRequires:  python2-os-testr >= 1.0.0
BuildRequires:  python2-oslo.i18n >= 3.15.3
BuildRequires:  python2-oslo.utils >= 3.33.0
BuildRequires:  python2-oslotest >= 3.2.0
BuildRequires:  python2-osprofiler >= 1.4.0
BuildRequires:  python2-pbr >= 2.0.0
BuildRequires:  python2-reno >= 2.5.0
BuildRequires:  python2-requests-mock >= 1.1.0
BuildRequires:  python2-simplejson >= 3.5.1
BuildRequires:  python2-six >= 1.10.0
BuildRequires:  python2-stevedore >= 1.20.0
BuildRequires:  python2-testrepository >= 0.0.18
BuildRequires:  python2-testtools >= 2.2.0
BuildRequires:  python3-Babel >= 2.3.4
BuildRequires:  python3-cliff >= 2.8.0
BuildRequires:  python3-devel
BuildRequires:  python3-fixtures >= 3.0.0
BuildRequires:  python3-keystoneauth1 >= 3.3.0
BuildRequires:  python3-mock >= 2.0.0
BuildRequires:  python3-openstacksdk >= 0.9.19
BuildRequires:  python3-os-client-config >= 1.28.0
BuildRequires:  python3-os-testr >= 1.0.0
BuildRequires:  python3-oslo.i18n >= 3.15.3
BuildRequires:  python3-oslo.utils >= 3.33.0
BuildRequires:  python3-oslotest >= 3.2.0
BuildRequires:  python3-osprofiler >= 1.4.0
BuildRequires:  python3-pbr >= 2.0.0
BuildRequires:  python3-reno >= 2.5.0
BuildRequires:  python3-requests-mock >= 1.1.0
BuildRequires:  python3-simplejson >= 3.5.1
BuildRequires:  python3-six >= 1.10.0
BuildRequires:  python3-stevedore >= 1.20.0
BuildRequires:  python3-testrepository >= 0.0.18
BuildRequires:  python3-testtools >= 2.2.0
Requires:       python-Babel >= 2.3.4
Requires:       python-cliff >= 2.8.0
Requires:       python-keystoneauth1 >= 3.3.0
Requires:       python-openstacksdk >= 0.9.19
Requires:       python-os-client-config >= 1.28.0
Requires:       python-oslo.i18n >= 3.15.3
Requires:       python-oslo.utils >= 3.33.0
Requires:       python-pbr >= 2.0.0
Requires:       python-simplejson >= 3.5.1
Requires:       python-six >= 1.10.0
Requires:       python-stevedore >= 1.20.0
BuildArch:      noarch
%python_subpackages

%description
OpenStackClient (aka OSC) is a command-line client for OpenStack.  osc-lib
is a package of common support modules for writing OSC plugins.

%package -n python-osc-lib-doc
Summary:        Documentation for the OpenStack client library
Group:          Development/Languages/Python
BuildRequires:  python-Sphinx
BuildRequires:  python-openstackdocstheme >= 1.18.1

%description -n python-osc-lib-doc
Documentation for the OpenStack client library.

%prep
%autosetup -p1 -n osc-lib-1.9.0
%py_req_cleanup
sed -i 's/^warning-is-error.*/warning-is-error = 0/g' setup.cfg

%build
%{python_build}

%install
%{python_install}

# generate html docs
%{__python2} setup.py build_sphinx
# remove the sphinx-build leftovers
rm -rf doc/build/html/.{doctrees,buildinfo}

%check
%{python_expand rm -rf .testrepository
$python setup.py testr
}

%files %{python_files}
%license LICENSE
%doc README.rst ChangeLog
%{python_sitelib}/osc_lib
%{python_sitelib}/*.egg-info

%files -n python-osc-lib-doc
%license LICENSE
%doc doc/build/html

%changelog
* Fri Feb 23 2018 tbechtold@suse.com
- Switch to stable/queens spec template
* Mon Feb 12 2018 cloud-devel@suse.de
- update to version 1.9.0 (bsc#1078607)
  - Updated from global requirements
  - Fix find() interface when attr is not specified
  - Fix sorting in Python 3
  - Relocate utils tests to match the main code
* Tue Jan 30 2018 cloud-devel@suse.de
- update to version 1.8.0
  - Emit warnings to encourage cliff FormattableColumn
  - Remove -U from pip install
  - Add CLI/ENV options and documentation for keystone-to-keystone
  - --os-profile option suddenly causes trouble in unit tests
  - Update reno for stable/pike
  - Remove setting of version/release from releasenotes
  - Use converged SDK insead of os-client-config
  - Migrade legacy jobs into the repo
  - Make -tips job non-voting
  - Update the documentation link for doc migration
  - Util to calculate header and attr names based on parsed_args.columns
  - Updates for stestr
  - Consume the devstack functional jobs from OSC
  - Updated from global requirements
  - Add utils for better column handling
  - Avoid tox_install.sh for constraints support
* Mon Jan 15 2018 dmueller@suse.com
- switch to singlespec
* Mon Aug  7 2017 cloud-devel@suse.de
- update to version 1.7.0
  - Revert "Avoid to authenticate twice"
  - Add endpoint hook to BaseAPI
  - Follow-up to headers handler to fix find_bulk()
  - Util methods for column name backward compatibility
  - Nit: Reorder some util methods in alphabetic order
  - Update reno for stable/ocata
  - update links to docs in readme
  - Using assertIsNone() instead of assertEqual(None)
  - Avoid 'NoneType' error when format conversion
  - rearrange existing documentation to fit the new standard layout
  - Add MultiKeyValueCommaAction to osc-lib
  - turn on warning-is-error for sphinx
  - Add test methods to compare formattable column values
  - The python 3.5 is added
  - use openstackdocstheme html context
  - Change noauth strategy for plugin loading
  - Add more API support
  - Add token auth test
  - Fix find_resource exception handling on numeric names with kwargs
  - Pass ssl values through to OCC
  - Make --os-profile load from environment variables
  - switch from oslosphinx to openstackdocstheme
  - Fix shell saving OpenStackConfig object
  - Deprecate --profile and remove after Apr 2017
  - Remove log translations
  - Avoid to authenticate twice
  - Tell ClientManager when auth is required
  - Add formattable column base classes
  - Updated from global requirements
  - Optimize find_resource: do not run the same query twice
* Fri Feb 10 2017 cloud-devel@suse.de
- update to version 1.3.0:
  - Avoid string actions on non-string objects
  - Include OSC additions
  - Add deprecated_option_warning() method to Command
  - standardize release note page ordering
  - Enable release notes translation
  - Include OSC additions 2
  - Update reno for stable/newton
  - Prompt for auth options
  - Add Constraints support
  - Remove os-client-config hacks for 1.19.x and 1.20.x
  - Don't include openstack/common in flake8 exclude list
  - Clean imports in code
  - Don't call formatters on None value
  - Calls to federated service providers using Keystone-to-Keystone
  - Update docstring to match params
  - Incorrect usage message when no auth param passed
  - Improve output of supported client versions
  - Fix a tiny typo in documentation
  - Allow passing app_name and app_version for useragent
  - TrivialFix: Remove logging import unused
  - Fix version import in releasenotes
  - Add release note for security bug 1630822
  - Mask passwords in debug logs for auth_config_hook
  - TrivilalFix: Using assertIsNone() instead of assertEqual(None)
  - Updated from global requirements
  - To display image size in human friendly format
* Thu Oct  6 2016 tbechtold@suse.com
- Update _service
* Thu Sep  1 2016 tbechtold@suse.com
- update to version 1.1.0
  * Fix default handling for verify option in ClientManager
  * Updated from global requirements
* Fri Aug 26 2016 tbechtold@suse.com
- update to version 1.0.2
  * Do not add user domain options if not needed
  * Prevent null key setting for property
  * Another precedence fix
  * Add reno for osc-lib release notes management
  * Add release notes for 1.0 release
  * Fix arguemnt precedence issues with os-client-config
  * More hacks to fix broken o-c-c precedence
  * Decode argv to Unicode on py2
  * Updated from global requirements
* Wed Aug 10 2016 tbechtold@suse.com
- update to version 0.4.1
  * Remove unused releasenotes infrastructure
  * Remove option handling unused code
  * Use assertEqual() instead of assertDictEqual()
  * Allow shell class to be overridden in test subclass
* Fri Jul 29 2016 dmueller@suse.com
- update to 0.4.0:
  * Add Python 3.5 classifier and venv
  * Updated from global requirements
  * Fix v2 auth with v3 args present
  * trivial whitespace change to kick off docs publishing
  * Remove discover from test-requirements
* Fri Jul 22 2016 tbechtold@suse.com
- update to 0.3.0:
  * Updated from global requirements
  * Generate auth plugin options based on the name
  * Remove tempest from test-requirements.txt
  * Don't create a requests.Session for session
  * Remove old fakes
  * Updated from global requirements
* Wed Jul 13 2016 tbechtold@suse.com
- Initial packaging (version 0.2.1)
